import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { ConfigService, RestAspect } from '@yukawa/chain-base-angular-client';
import { EditResult, FileInfo, QueryResult, SearchResult } from '@yukawa/chain-base-angular-domain';
import { InvoiceInfo } from '../core/data';
import { ProjectAspect, ProjectSheetAspect } from '../core/service';
import { Attachment, Project, ProjectSheet, Risk, Task } from "../../../gen/domain";
import { ProjectFilter, RiskFilter, TaskFilter } from "../../../gen/filter";
import * as i0 from "@angular/core";
export declare class ProjectService extends RestAspect implements ProjectAspect {
    Projects: Project[];
    constructor(http: HttpClient, configService: ConfigService);
    queryProject(filter: any): Observable<QueryResult<Project>>;
    loadProject(id: string): Observable<Project>;
    saveProject(project: Project, type?: "create" | "update"): Observable<any>;
    deleteProject(id: any): Observable<EditResult>;
    updateProjectPhase(phase: string, projectId: string): Observable<any>;
    newProject(): Observable<Project>;
    downloadPdf(projectId: string): Observable<FileInfo>;
    mergeProject(project: Project): Observable<Project>;
    update(project: Project): Observable<Project>;
    put(project: Project): Observable<Project>;
    collectionPut(project: Project): Observable<Project>;
    collectionRemove(project: Project): Observable<Project>;
    collectionsAppend(project: Project): Observable<Project>;
    export(filter: ProjectFilter | any): Observable<Blob>;
    static ɵfac: i0.ɵɵFactoryDef<ProjectService, never>;
    static ɵprov: i0.ɵɵInjectableDef<ProjectService>;
}
export declare class TaskService extends RestAspect {
    constructor(http: HttpClient, configService: ConfigService);
    queryTask(filter: TaskFilter | any): Observable<QueryResult<Task>>;
    loadTask(id: string): Observable<Task>;
    saveTask(task: Task, type?: "create" | "update"): Observable<any>;
    mergeTask(task: Task): Observable<any>;
    deleteTask(id: any): Observable<EditResult>;
    generateInvoice(invoice: InvoiceInfo): Observable<Attachment>;
    static ɵfac: i0.ɵɵFactoryDef<TaskService, never>;
    static ɵprov: i0.ɵɵInjectableDef<TaskService>;
}
export declare class ProjectSheetService extends RestAspect implements ProjectSheetAspect {
    constructor(http: HttpClient, configService: ConfigService);
    queryProjectSheet(filter: any): Observable<QueryResult<ProjectSheet>>;
    loadProjectSheet(id: string): Observable<ProjectSheet>;
    saveProjectSheet(task: Task, type?: "create" | "update"): Observable<any>;
    deleteProjectSheet(id: any): Observable<EditResult>;
    static ɵfac: i0.ɵɵFactoryDef<ProjectSheetService, never>;
    static ɵprov: i0.ɵɵInjectableDef<ProjectSheetService>;
}
export declare class RiskService extends RestAspect {
    constructor(http: HttpClient, configService: ConfigService);
    searchRisk(filter: RiskFilter): Observable<SearchResult<Risk>>;
    queryRisks(filter: RiskFilter): Observable<QueryResult<Risk>>;
    loadRisk(id: string): Observable<Risk>;
    saveRisk(task: Task, type?: "create" | "update"): Observable<any>;
    deleteRisk(id: any): Observable<EditResult>;
    static ɵfac: i0.ɵɵFactoryDef<RiskService, never>;
    static ɵprov: i0.ɵɵInjectableDef<RiskService>;
}
